BasicTreeUI.MouseHandler (Java SE 25 & JDK 25)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicTreeUI, class: MouseHandler
Keywords: javax.swing.plaf.basic.BasicTreeUI.MouseHandler class

# Class BasicTreeUI.MouseHandler

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.plaf.basic.BasicTreeUI.MouseHandler

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.MouseHandler extends MouseAdapter implements MouseMotionListener
TreeMouseListener is responsible for updating the selection based on mouse events.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MouseHandler()`
  Constructs a `MouseHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mouseDragged(MouseEvent e)`
  Invoked when a mouse button is pressed on a component and then dragged.
  `void`
  `mouseMoved(MouseEvent e)`
  Invoked when the mouse button has been moved on a component (with no buttons no down).
  `void`
  `mousePressed(MouseEvent e)`
  Invoked when a mouse button has been pressed on a component.

  ### Methods declared in class MouseAdapter

  `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseReleased, mouseWheelMoved`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MouseHandler

    public MouseHandler()
    Constructs a `MouseHandler`.

- ## Method Details

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Invoked when a mouse button has been pressed on a component.
    Specified by:
      `mousePressed` in interface `MouseListener`
    Parameters:
      `e` - the event to be processed

  - ### mouseDragged

    public void mouseDragged(MouseEvent e)
    Description copied from class: `MouseAdapter`
    Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

    Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

    Specified by:
      `mouseDragged` in interface `MouseMotionListener`
    Overrides:
      `mouseDragged` in class `MouseAdapter`
    Parameters:
      `e` - the event to be processed

  - ### mouseMoved

    public void mouseMoved(MouseEvent e)
    Invoked when the mouse button has been moved on a component (with no buttons no down).
    Specified by:
      `mouseMoved` in interface `MouseMotionListener`
    Overrides:
      `mouseMoved` in class `MouseAdapter`
    Parameters:
      `e` - the event to be processed
    Since:
      1.4